summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2016-04-02 17:54:38 -0400
committerMike Frysinger <vapier@gentoo.org>2016-04-02 17:54:59 -0400
commit2b3a407b661078b2b116ee79dc7a10486d16f3a4 (patch)
treec5f987d4999fd3bab862b0aba14494cccebc7484 /sys-devel/flex
parentdev-util/diffball: add -std=gnu89 to CFLAGS to restore pre-GCC5 semantics (diff)
downloadgentoo-2b3a407b661078b2b116ee79dc7a10486d16f3a4.tar.gz
gentoo-2b3a407b661078b2b116ee79dc7a10486d16f3a4.tar.bz2
gentoo-2b3a407b661078b2b116ee79dc7a10486d16f3a4.zip
sys-devel/flex: version bump 2.6.1 #578844
Diffstat (limited to 'sys-devel/flex')
-rw-r--r--sys-devel/flex/Manifest1
-rw-r--r--sys-devel/flex/flex-2.6.1.ebuild78
2 files changed, 79 insertions, 0 deletions
diff --git a/sys-devel/flex/Manifest b/sys-devel/flex/Manifest
index c9d385a5b9e..8309f251b2e 100644
--- a/sys-devel/flex/Manifest
+++ b/sys-devel/flex/Manifest
@@ -1,2 +1,3 @@
DIST flex-2.5.39.tar.xz 1347436 SHA256 c988bb3ab340aaba16df5a54ab98bb4760599975375c8ac9388a078b7f27e9e8 SHA512 488bfd40043851d6f069333090081cc09c8754cd098dd24655ea705dd381efc4e88080fe8060fe6c790f450695f1b209f7115b154723c203f43b00f4ccfa5bec WHIRLPOOL 6f46ed30ca3a3ac6449170171205031ab821a0d78aaed36c7faf59c12724f8787092ba1a3ea846e359791476da7f9bb007155caac60e696326445c75c5d70dd5
DIST flex-2.6.0.tar.xz 1369552 SHA256 d39b15a856906997ced252d76e9bfe2425d7503c6ed811669665627b248e4c73 SHA512 9cd48aa79ce70814902745d6e67f677bcc67f23dcc46ebb5f2963efac0d8f6f6c10ee87369d2d7557d29e390a3502dd99246db0fd2e096b9e7bb6e16d51d3abe WHIRLPOOL e44cab6763699a9d4d8af29b8c45c2e5b203a643834730f35e5745d145e5b3a4605506da209aa8e4e087e2e8872926261d0d2f29751d616cc77df36021d753b2
+DIST flex-2.6.1.tar.xz 835048 SHA256 2c7a412c1640e094cb058d9b2fe39d450186e09574bebb7aa28f783e3799103f SHA512 1e35d0447f59139b98ede085d1a603d4f61cf8bc11cf2e291a3f492a05c60ee61535481b878585cd6843cd9b3c7952c834adfa78a6a71c64802e7b3069dec9d1 WHIRLPOOL d671017fd516f5d6457a896f1d50d4a4d310d32476a6db8f1ed99305a96955eec7586d8ef2aff1e03795be3f7417e0f1d8925b073788a14abcdd38868822eb67
diff --git a/sys-devel/flex/flex-2.6.1.ebuild b/sys-devel/flex/flex-2.6.1.ebuild
new file mode 100644
index 00000000000..b63f0fcfc93
--- /dev/null
+++ b/sys-devel/flex/flex-2.6.1.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit eutils flag-o-matic multilib-minimal
+
+DESCRIPTION="The Fast Lexical Analyzer"
+HOMEPAGE="https://flex.sourceforge.net/ https://github.com/westes/flex"
+SRC_URI="https://github.com/westes/flex/releases/download/v${PV}/${P}.tar.xz"
+
+LICENSE="FLEX"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="nls static test"
+
+# We want bison explicitly and not yacc in general #381273
+RDEPEND="sys-devel/m4"
+DEPEND="${RDEPEND}
+ app-arch/xz-utils
+ nls? ( sys-devel/gettext )
+ test? ( sys-devel/bison )"
+
+src_prepare() {
+ # Disable running in the tests/ subdir as it has a bunch of built sources
+ # that cannot be made conditional (automake limitation). #568842
+ if ! use test ; then
+ sed -i \
+ -e '/^SUBDIRS =/,/^$/{/tests/d}' \
+ Makefile.in || die
+ fi
+}
+
+src_configure() {
+ use static && append-ldflags -static
+
+ multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+ # Do not install shared libs #503522
+ ECONF_SOURCE=${S} \
+ econf \
+ --disable-shared \
+ $(use_enable nls) \
+ --docdir='$(datarootdir)/doc/'${PF}
+}
+
+multilib_src_compile() {
+ if multilib_is_native_abi; then
+ default
+ else
+ cd src || die
+ emake -f Makefile -f - lib <<< 'lib: $(lib_LTLIBRARIES)'
+ fi
+}
+
+multilib_src_test() {
+ multilib_is_native_abi && emake check
+}
+
+multilib_src_install() {
+ if multilib_is_native_abi; then
+ default
+ else
+ cd src || die
+ emake DESTDIR="${D}" install-libLTLIBRARIES install-includeHEADERS
+ fi
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ dodoc ONEWS
+ prune_libtool_files --all
+ rm "${ED}"/usr/share/doc/${PF}/COPYING || die
+ dosym flex /usr/bin/lex
+}